# Package com.clickhouse.jdbc.parser

Interface Summary
CharStream: This interface describes a character stream that maintains line and column number positions of the characters.
ClickHouseSqlParserConstants: Token literal values and constants.

Class Summary
AbstractCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
ClickHouseSqlParser
ClickHouseSqlParserTokenManager: Token Manager.
ClickHouseSqlStatement
ClickHouseSqlUtils
ParseHandler
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
Token: Describes the input token stream.

Enum Summary
LanguageType
OperationType
StatementType

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.
TokenMgrException: Token Manager Error.